Insights
Collection rate & risk breakdown, plus Collections Intelligence: receivables aging, a cash-flow forecast, and per-customer collection scores.
Collections analytics for your account. Beyond the headline collection rate, outstanding deficit, and reconciliation + risk breakdown, Collections Intelligence adds receivables aging, a cash-flow forecast, and per-customer collection scores.
get
/api/v1/insightsHeadline metrics: collection rate, outstanding deficit, reconciliation breakdown, risk.
Requires Bearer token
Responses
200OK
GET /api/v1/insights
curl -X GET "https://api.xental.online/api/v1/insights" \
-H "Authorization: Bearer <API_TOKEN>"get
/api/v1/insights/agingOutstanding receivables bucketed by how long they've been outstanding.
Outstanding receivables bucketed by how long they have been outstanding (0–7 / 8–30 / 31–60 / 60+ days).
Requires Bearer token
Responses
200OK
GET /api/v1/insights/aging
curl -X GET "https://api.xental.online/api/v1/insights/aging" \
-H "Authorization: Bearer <API_TOKEN>"get
/api/v1/insights/forecastCash-flow forecast: scheduled billing due (weekly) + a run-rate projection.
Expected inflows over the next N days (7–180): scheduled billing due bucketed by week, plus a projection from your trailing 30-day collection run-rate.
Requires Bearer token
Query parameters
daysintegeroptionalResponses
200OK
GET /api/v1/insights/forecast
curl -X GET "https://api.xental.online/api/v1/insights/forecast" \
-H "Authorization: Bearer <API_TOKEN>"get
/api/v1/insights/customersPer-customer collection reliability, worst (most outstanding) first.
Per-customer collection reliability scored 0–100 (Excellent / Good / Fair / Poor), worst-outstanding first.
Requires Bearer token
Query parameters
takeintegeroptionalResponses
200OK
GET /api/v1/insights/customers
curl -X GET "https://api.xental.online/api/v1/insights/customers" \
-H "Authorization: Bearer <API_TOKEN>"